var _excluded = ["key"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React from 'react';
import classNames from 'classnames';
import StatCard from "./components/StatCard";
import "./index.less";
var DataCard = function DataCard(props) {
  var _props$dataItems = props.dataItems,
    dataItems = _props$dataItems === void 0 ? [] : _props$dataItems,
    className = props.className,
    style = props.style;

  /** 容器类名 */
  var dataCardClassName = classNames('pisell-grid-pro-datacard', className);

  /** 如果没有数据，不渲染 */
  if (dataItems.length === 0) {
    return null;
  }
  return /*#__PURE__*/React.createElement("div", {
    className: dataCardClassName,
    style: style
  }, dataItems.map(function (item) {
    var key = item.key,
      rest = _objectWithoutProperties(item, _excluded);
    return /*#__PURE__*/React.createElement(StatCard, _extends({
      key: key
    }, rest));
  }));
};
export default DataCard;